Apple's Safari 12.1 Browser is no longer Supported

Ensuring a seamless experience for our users is a top priority at Next Gen Math, and we strive to provide support for a wide range of browsers. However, it's important to note that some browser maintainers may not consistently update their software. In the case of Apple's Safari 12.1 browser, the last update occurred in 2019, and has since been lacking essential security updates.

At Next Gen Math, we remain committed to delivering optimal performance and security. To achieve this, we encourage users to utilize Safari version 13 and above, or opt for the latest versions of Google Chrome, or Firefox. By using these modern browsers, you can ensure a secure and enhanced experience while accessing our services.

Was this article helpful?
5 out of 5 found this helpful